<html lang="en">
<head>
<title>Documentation - Enhanced Implementation of Emacs Interpreted Objects</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Enhanced Implementation of Emacs Interpreted Objects">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="prev" href="Customizing.html#Customizing" title="Customizing">
<link rel="next" href="Naming-Conventions.html#Naming-Conventions" title="Naming Conventions">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Documentation"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Naming-Conventions.html#Naming-Conventions">Naming Conventions</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Customizing.html#Customizing">Customizing</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h2 class="chapter">16 Documentation</h2>

<p>It is possible to automatically create documentation for your classes in
texinfo format by using the tools in the file <samp><span class="file">eieio-doc.el</span></samp>

<div class="defun">
&mdash; Command: <b>eieiodoc-class</b><var> class indexstring &amp;optional skiplist<a name="index-eieiodoc_002dclass-88"></a></var><br>
<blockquote>
<p>This will start at the current point, and created an indented menu of
all the child classes of, and including <var>class</var>, but skipping any
classes that might be in <var>skiplist</var> It will then create nodes for
all these classes, subsection headings, and indexes.

        <p>Each class will be indexed using the texinfo labeled index
<var>indexstring</var> which is a two letter description. 
See <a href="../texinfo/-New-Indices.html#g_t_0028texinfo_0029-New-Indices">(texinfo) New Indices</a>.

        <p>To use this command, the texinfo macro

     <pre class="example">          @defindex @var { indexstring }
     </pre>
        <p class="noindent">where <var>indexstring</var> is replaced with the two letter code.

        <p>Next, an inheritance tree will be created listing all parents of that
section's class.

        <p>Then,all the slots will be expanded in tables, and described
using the documentation strings from the code.  Default values will also
be displayed.  Only those slots with <code>:initarg</code> specified will be
expanded, others will be hidden.  If a slot is inherited from a parent,
that slot will also be skipped unless the default value is different. 
If there is a change, then the documentation part of the slot will be
replace with an @xref back to the parent.

        <p>Only classes loaded into emacs' memory can be documented.

        </blockquote></div>

   </body></html>

